Bug 1292291 - Review Request: nodejs-unc-path-regex - Regular expression to test if a file path is a windows UNC path
Review Request: nodejs-unc-path-regex - Regular expression to test if a file ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks: nodejs-reviews 1292292
  Show dependency treegraph
 
Reported: 2015-12-16 17:36 EST by Jared Smith
Modified: 2016-02-18 01:27 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-18 12:32:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Jared Smith 2015-12-16 17:36:52 EST
Spec URL: https://jsmith.fedorapeople.org/Packaging/nodejs-unc-path-regex/nodejs-unc-path-regex.spec
SRPM URL: https://jsmith.fedorapeople.org/Packaging/nodejs-unc-path-regex/nodejs-unc-path-regex-0.1.1-1.fc24.src.rpm
Description: Regular expression to test if a file path is a windows UNC path
Fedora Account System Username: jsmith
Comment 1 Parag AN(पराग) 2015-12-16 22:39:45 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 4 files have
     unknown license. Detailed output of licensecheck in
     /home/parag/1292291-nodejs-unc-path-regex/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[-]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-unc-path-regex-0.1.1-1.fc24.noarch.rpm
          nodejs-unc-path-regex-0.1.1-1.fc24.src.rpm
nodejs-unc-path-regex.noarch: W: only-non-binary-in-usr-lib
2 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
nodejs-unc-path-regex.noarch: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 1 warnings.



Requires
--------
nodejs-unc-path-regex (rpmlib, GLIBC filtered):
    nodejs(engine)



Provides
--------
nodejs-unc-path-regex:
    nodejs-unc-path-regex
    npm(unc-path-regex)



Source checksums
----------------
https://registry.npmjs.org/unc-path-regex/-/unc-path-regex-0.1.1.tgz :
  CHECKSUM(SHA256) this package     : 3474690c3bfd2aec472326b0d0d42ee5ac72f0e2fcb5b6272fbd9ff3142962f7
  CHECKSUM(SHA256) upstream package : 3474690c3bfd2aec472326b0d0d42ee5ac72f0e2fcb5b6272fbd9ff3142962f7
https://raw.githubusercontent.com/regexps/unc-path-regex/master/test.js :
  CHECKSUM(SHA256) this package     : a23f4b7fd412a1a28bccd04871b9d1866fc9dd60160445cfc0d5070b2fe79b0c
  CHECKSUM(SHA256) upstream package : a23f4b7fd412a1a28bccd04871b9d1866fc9dd60160445cfc0d5070b2fe79b0c


Source1 URL must use git commit hash for test.js file. Please correct this to
https://raw.githubusercontent.com/regexps/unc-path-regex/6fb15620048283634b64305296feb8c045cdee1f/test.js

Otherwise looks good.

APPROVED.
Comment 2 Gwyn Ciesla 2015-12-17 08:45:36 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/nodejs-unc-path-regex
Comment 3 Fedora Update System 2015-12-17 13:36:34 EST
nodejs-unc-path-regex-0.1.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-f1d93b575c
Comment 4 Fedora Update System 2015-12-17 13:37:00 EST
nodejs-unc-path-regex-0.1.1-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-8cbb7b86a7
Comment 5 Fedora Update System 2015-12-17 13:37:23 EST
nodejs-unc-path-regex-0.1.1-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-54c44727f2
Comment 6 Fedora Update System 2015-12-17 13:37:42 EST
nodejs-unc-path-regex-0.1.1-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-2f1532f015
Comment 7 Fedora Update System 2015-12-18 06:26:24 EST
nodejs-unc-path-regex-0.1.1-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update nodejs-unc-path-regex'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-8cbb7b86a7
Comment 8 Fedora Update System 2015-12-18 06:55:12 EST
nodejs-unc-path-regex-0.1.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update nodejs-unc-path-regex'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-f1d93b575c
Comment 9 Fedora Update System 2015-12-18 09:19:34 EST
nodejs-unc-path-regex-0.1.1-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update nodejs-unc-path-regex'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-2f1532f015
Comment 10 Fedora Update System 2015-12-18 09:20:18 EST
nodejs-unc-path-regex-0.1.1-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update nodejs-unc-path-regex'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-54c44727f2
Comment 11 Jared Smith 2015-12-18 12:32:14 EST
Closing as CLOSED RAWHIDE so that other package reviews (that depend on this package) may move forward.
Comment 12 Fedora Update System 2016-02-17 07:51:19 EST
nodejs-unc-path-regex-0.1.1-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2016-02-17 09:21:23 EST
nodejs-unc-path-regex-0.1.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2016-02-18 00:56:46 EST
nodejs-unc-path-regex-0.1.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2016-02-18 01:27:32 EST
nodejs-unc-path-regex-0.1.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.